Description

Hy there,

Hy would like tio suggest a new feature to be included in qgis: split polygons with another layer (similar to ArcGIS).

The command should split an input polygons layer based on a field of another layer. The output will be different shp files according to field

value.

History

#1 - 2016-01-31 03:26 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

do you mean this ArcGIS algorithm (Split Analysis): http://resources.arcgis.com/en/help/main/10.2/index.html#//000800000006000000 ?

If this is the case, you have the 'Intersection' tool of Processing that is doing the job of "splitting". There is no attribute field but you can extract the splitting

features with 'Extract by attribute' algorithm.

Can we close this feature request ?

#2 - 2016-01-31 05:42 AM - Giovanni Manghi

If this is the case, you have the 'Intersection' tool of Processing that is doing the job of "splitting".

agree... but we have still (common) cases where the result is wrong, see

#11986

that is a (bad) regression that should be fixed before 2.14 (as decided in Las Palmas to not have broken ftools in the LTR) but I'm not sure is getting any

attention (hope to be wrong).

#3 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#4 - 2017-09-22 10:06 AM - Jürgen Fischer

- Category set to Unknown
